image: mwm126/mfix-exa:cuda

variables:
  GIT_STRATEGY: fetch
  GIT_SUBMODULE_STRATEGY: normal

###### Test jobs #####

test:all:
  script:
    - cmake -S .
            -B build
            -G Ninja
    - cmake --build build --target unit_tests
    - ./build/src/tests/unit_tests
    - cmake --build build --target mfix-parser
    - find -name inputs
    - find -name inputs |xargs -l ./build/mfix-parser
  tags:
    - mfix-exa
